> ## Documentation Index
> Fetch the complete documentation index at: https://superthread.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notes

> Retrieves all notes within the specified workspace (team_id).
This endpoint returns an array of notes visible to the current user, enabling a comprehensive
view of all accessible notes in the workspace.




## OpenAPI

````yaml GET /{team_id}/notes
openapi: 3.0.0
info:
  description: Superthread Public API Specification
  version: '0.1'
  title: Public API
  contact:
    email: engineering@superthread.com
servers:
  - url: https://api.superthread.com/v1
security:
  - BearerAuth: []
tags:
  - name: AI
    description: >-
      [Service: AI]. Handles AI-powered functionalities, such as
      recommendations, predictions, and automation features.
  - name: Activity
    description: >-
      [Service: Activity] Manages all activities; creating notifications and
      digests
  - name: Auth
    description: >-
      [Service: Auth] Responsible for user authentication, authorization, and
      session management.
  - name: Boards
    description: >-
      [Service: Boards] Manages core collaboration features such as "boards",
      "cards", "lists", "sprints", "epics".
  - name: Comments
    description: >-
      [Service: Comments] Handles the creation, editing, and management of
      comments across various entities.
  - name: Favourites
    description: >-
      [Service: Favourites] Responsible for favouriting resources in the system
      for quick access.
  - name: Files
    description: >-
      [Service: Files] Manages file uploads, storage, and retrieval for user and
      project resources.
  - name: Importer
    description: >-
      [Service: Importer] Handles data import operations from external sources
      into the platform.
  - name: Integrations
    description: >-
      [Service: Integrations] Facilitates connectivity with external tools and
      services, enabling smooth integration with third-party platforms and APIs.
  - name: Pages
    description: >-
      [Service: Pages] Manages the creation and organization of both public and
      private pages, supporting structured content and navigation and
      collaboration.
  - name: Projects
    description: '[Service: Projects] Handles all project related tasks.'
  - name: Reports
    description: >-
      [Service: Reports] Generates and manages analytical reports and insights
      for users and projects.
  - name: Search
    description: >-
      [Service: Search] Provides search functionalities, including indexing and
      retrieval of platform data.
  - name: TimeTracking
    description: >-
      [Service: TimeTracking] Manages time entries, active timers, time
      categories, billing rates, and audit/lock for time-tracking workflows.
  - name: Views
    description: >-
      [Feature] Provides tools to create and customize views, enabling users to
      organize and visualize their data according to their preferences and
      workflows.
  - name: OAuth2
    description: >-
      [Feature] Supports OAuth2 integration for seamless user authentication and
      authorization, ensuring secure access to external APIs and services.
  - name: Sprints
    description: >-
      [Feature] Facilitates sprint management within agile workflows, including
      planning, progress tracking, and reporting.
  - name: Cards
    description: >-
      [Feature] A Card is the core concept used in the system to describe an
      individual task or work item. They are used across Boards, Sprints, and
      Roadmaps. Cards include features like descriptions, checklists, comments,
      priorities, tags and more.
  - name: Checklists
    description: >-
      [Feature] A Checklist is a list of items that need to be completed. It is
      used to track progress on a card.
  - name: Lists
    description: >-
      [Feature] Represents a collection of tasks or items grouped within
      different contexts in the system. Lists (externally referenced as
      "statuses") are utilized across various entities such as boards, sprints,
      and roadmaps.
  - name: Notes
    description: >-
      [Feature] Enables users to create, edit, and organize notes, supporting
      rich text, attachments, transcriptions and AI enhancements.
  - name: Tags
    description: >-
      [Feature] Groups endpoints related to the creation, retrieval, updating,
      deletion, and merging of tags within teams (workspaces).
  - name: Agents
    description: >-
      [Feature] Manages agents and runs. Provides CRUD operations for agents,
      launching cloud agents, monitoring agent status, retrieving conversations,
      and sending follow-ups.
paths:
  /{team_id}/notes:
    parameters:
      - $ref: '#/components/parameters/path_team_id'
    get:
      tags:
        - Pages
      summary: Get all notes
      description: >
        Retrieves all notes within the specified workspace (team_id).

        This endpoint returns an array of notes visible to the current user,
        enabling a comprehensive

        view of all accessible notes in the workspace.
      operationId: getNotes
      parameters:
        - in: query
          name: cursor
          required: false
          description: Cursor for pagination
          schema:
            type: string
        - in: query
          name: count
          required: false
          description: Max number of items to return, defaults to 50 if unset
          schema:
            type: integer
      responses:
        '200':
          description: Array of team notes visible to current user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetNotesResponse'
        default:
          description: client error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/Error'
components:
  parameters:
    path_team_id:
      in: path
      name: team_id
      description: >-
        Team ID is an alphanumerical string that identifies a Team. This is
        externally referred to as a "Workspace".
      required: true
      schema:
        type: string
  schemas:
    GetNotesResponse:
      allOf:
        - $ref: '#/components/schemas/ResponseMetadata'
      properties:
        notes:
          type: array
          items:
            $ref: '#/components/schemas/Note'
    Error:
      type: object
      properties:
        id:
          type: string
          example: err5f744ab
        code:
          type: integer
          format: int32
          example: 403
        sec:
          $ref: '#/components/schemas/SuperthreadErrorCode'
        message:
          type: string
          example: You do not have access to this resource
          description: A user-friendly error message
        date:
          $ref: '#/components/schemas/STime'
    ResponseMetadata:
      type: object
      required:
        - cursor
        - count
      properties:
        cursor:
          type: string
          example: dmsjqh9d8w1hdjosjaasda
          nullable: false
        count:
          type: integer
          example: 14
          nullable: false
    Note:
      type: object
      properties:
        id:
          type: string
          example: ''
        title:
          type: string
          example: Team Note
        transcript:
          type: string
        transcripts:
          type: array
          items:
            $ref: '#/components/schemas/NoteTranscript'
        user_notes:
          type: string
          maxLength: 102400
        ai_notes:
          type: array
          items:
            $ref: '#/components/schemas/AIEnhancedNote'
        user:
          $ref: '#/components/schemas/Actor'
        user_updated:
          $ref: '#/components/schemas/Actor'
        team_id:
          type: string
          example: tdsu0j19
        last_note_template_id:
          type: string
          description: ID of the last note template used for this note
        is_public:
          type: boolean
          example: false
          x-omitempty: false
        public_settings:
          $ref: '#/components/schemas/PublicNoteSettings'
        time_created:
          $ref: '#/components/schemas/STime'
        time_updated:
          $ref: '#/components/schemas/STime'
        meeting_metadata:
          $ref: '#/components/schemas/MeetingMetadata'
        meeting_date:
          $ref: '#/components/schemas/STimePtr'
        meeting_time:
          $ref: '#/components/schemas/STimePtr'
        meeting_organizer:
          $ref: '#/components/schemas/MeetingParticipant'
        meeting_attendees:
          type: array
          x-omitempty: false
          items:
            $ref: '#/components/schemas/MeetingParticipant'
          nullable: true
    SuperthreadErrorCode:
      type: string
      description: |
        Superthread Error Code (`SEC`): A structured error code.
        Format: `SEC:{ServiceID}-{InternalErrorCode}`.


          - `SEC`: Prefix for all structured error codes.
          - `ServiceID`: First 3 characters identify the service, '000' is reserved for generic errors.
          - `InternalErrorCode`: the next (last) 5 characters define the specific error.
      pattern: ^SEC:\d{3}-\d{5}$
      example: SEC:000-00014
    STime:
      type: integer
      format: int64
      example: 1608742037016
      description: unix timestamp in seconds
      x-go-type:
        type: STime
        import:
          package: github.com/superthread-com/common/pkg/types
        hints:
          noValidation: true
          kind: primitive
    NoteTranscript:
      allOf:
        - $ref: '#/components/schemas/NoteTranscriptBrief'
      type: object
      properties:
        id:
          type: string
          example: '43'
        time_created:
          $ref: '#/components/schemas/STime'
        time_updated:
          $ref: '#/components/schemas/STime'
    AIEnhancedNote:
      type: object
      properties:
        id:
          type: string
          example: 866a3b86-4651-482c-bb69-61921ea4548c
        note_template_id:
          type: string
          example: 1da3b68c-3a82-495c-a6c9-e7a494281a36
        title:
          type: string
          example: Team Note
        content:
          type: string
          maxLength: 102400
        time_updated:
          $ref: '#/components/schemas/STime'
        related_resources:
          type: array
          items:
            $ref: '#/components/schemas/AINoteRelatedResource'
    Actor:
      title: Actor
      type: object
      description: describes a user or robot that created or updated a resource
      properties:
        user_id:
          type: string
          example: uDsu0j19
          x-go-custom-tag: dynamodbav:",omitempty"
        type:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          example: user
          default: user
          enum:
            - user
            - robot
            - system
          nullable: false
        source:
          $ref: '#/components/schemas/ActorSource'
    PublicNoteSettings:
      type: object
      properties:
        url:
          type: string
          example: https://notes.superthread.com/n/1
    MeetingMetadata:
      type: object
      properties:
        id:
          type: string
          description: External ID for the event
        name:
          type: string
          description: Meeting name or event title
        description:
          type: string
          description: Meeting description, or event summary
        links:
          type: array
          description: >-
            List of meeting links (with a provider) where users can join the
            event
          items:
            $ref: '#/components/schemas/MeetingLink'
        location:
          type: string
          description: Location of the event
        start_time:
          $ref: '#/components/schemas/STimePtr'
        end_time:
          $ref: '#/components/schemas/STimePtr'
    STimePtr:
      type: integer
      format: int64
      example: 1608742037016
      description: unix timestamp in seconds
      x-go-type:
        type: STime
        import:
          package: github.com/superthread-com/common/pkg/types
        hints:
          noValidation: true
          kind: primitive
      nullable: true
    MeetingParticipant:
      type: object
      x-omitempty: false
      properties:
        user_id:
          type: string
          description: >-
            Internal User ID if the email of the meeting attendee belongs to a
            Superthread user in the workspace.
          example: uDsu0j19
          x-omitempty: false
          nullable: true
        email:
          type: string
          example: username@example.com
          description: Email address of the participant
        name:
          type: string
          example: John Doe
          description: The display name of the participant
      nullable: true
    NoteTranscriptBrief:
      type: object
      properties:
        content:
          type: string
          example: This is a transcript
        source:
          $ref: '#/components/schemas/NoteTranscriptSource'
    AINoteRelatedResource:
      type: object
      properties:
        id:
          type: string
          example: '123'
        type:
          type: string
          enum:
            - card
          example: card
        cosine_similarity:
          type: number
          format: float64
          description: cosine similarity score
          example: 0.8
    ActorSource:
      title: ActorSource
      type: object
      description: describes the source of an actor
      properties:
        type:
          type: string
          example: oauth
          enum:
            - oauth
            - import
            - email
            - agent
        client_id:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          description: client ID if the resource was created via oauth2 app
          example: oczapier
        import_id:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          description: import ID if the resource was created by an import
          example: bf1b9f76-3f95-42fc-bd7f-050b2f5f4197
        agent_id:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          description: agent ID if the resource was created by an agent
          example: bf1b9f76-3f95-42fc-bd7f-050b2f5f4197
        email_addr:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          description: email address if the resource was created via an email
          example: somebody@example.com
        email_verified:
          type: boolean
          x-go-custom-tag: dynamodbav:",omitempty"
          description: whether the email sender was verified
          example: false
        on_behalf_of:
          type: string
          x-go-custom-tag: dynamodbav:",omitempty"
          description: >-
            User ID of the human responsible for this action. For
            trigger-initiated agent actions, this is the trigger creator. For
            mention/chat-initiated actions, this is the user who invoked the
            agent.
    MeetingLink:
      type: object
      properties:
        provider:
          type: string
          description: >-
            The provider for the meeting link (e.g., google, zoom, teams,
            other).
          enum:
            - google
            - zoom
            - teams
            - other
        link:
          type: string
          description: The meeting link.
    NoteTranscriptSource:
      type: string
      enum:
        - author
        - other
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````